PDA

View Full Version : How to downgrade patch?



genjutsu
01-18-2008, 04:12 PM
Hi, I am looking for a way to downgrade my 1.15.2 starcraft broodwar patch but unsure how. I know the simplest way is to just uninstall, directly download the patch from a site, and then reinstall and upgrade without connecting to battle.net, but is there perhaps a faster way I can do this?

I thought along the lines of deleting the files that are newly downloaded into my starcraft folder and then perhaps it would prompt me the message to patch up again when I connect to battle.net. A problem is that, I am unsure of whether it also upgrades by replacing an essential file like the storm.dll with a larger/newer copy. It would be really troublesome in this case. It would be great if anyone know about this or can confirm it for me.

It would probably be the best if there exists some kind of tool that can automatically send me back to the patch I want.

It would be really helpful if anyone could provide me any information on whether this is possible or just any information regarding downgrading patches. Thank you.

AgentGOD
01-18-2008, 04:50 PM
Why would you need/want to? If it's to use leaked hacks, shame on you.

Otherwise, if you just think RTOH died, it has, but Apocalypse has succeeded it.

http://www.bwhacks.com/forums/user-downloads/30514-apocalypse-v1-0-ultimate-starcraft-multihack.html

genjutsu
01-18-2008, 05:12 PM
i mainly lan on sc with a bunch of friends, i dun go on bnet much, so i was hoping we'd stay with the selection hack, cloak units, halluc hacks....etc that was from 1.15.1

any idea how i can do that? thx.

Deg™
01-18-2008, 05:37 PM
Why would you need/want to? If it's to use leaked hacks, shame on you.

Otherwise, if you just think RTOH died, it has, but Apocalypse has succeeded it.

http://www.bwhacks.com/forums/user-downloads/30514-apocalypse-v1-0-ultimate-starcraft-multihack.html

Are you so self absorbed that you think he misses your hack enough to want to downgrade? Also; i lol'd at "The Ultimate Starcraft Hack".

Anyway, there are patch downgraders that go to 1.14, but until one is updated to go to 1.15 or 1.15.1, you have to do it manually.

Empathy
01-18-2008, 11:58 PM
Wow Agent, cocky arn't we?
To stay on topic uninstall and reinstall + what patch you want is not that time consuming. And its better than waiting for someone to make a patch down grader to 1.15.1 if what Degausser says is true.

Dukath
01-19-2008, 04:19 PM
According to StarEdit.net:


* To start w/ a lower patch you may need to DELETE your current patch_rt.mpq AND manually extract a lower version starcraft.exe from your CD from install.exe (You'll see it way down at bottom of list. Mine is archived v105\starcraft.exe.) Obviously you only have to do this once, or you can reinstall as well to get to a lower starting version.This (http://farty1billion.dyndns.org/SCD3/) appears to have patch 1.15.1 in the supported patch list. It might work.

ethernetkid
05-02-2009, 05:40 PM
According to StarEdit.net:
This (http://farty1billion.dyndns.org/SCD3/) appears to have patch 1.15.1 in the supported patch list. It might work.

Wait, so can you?

el-camino-ss
05-02-2009, 08:51 PM
N N N NECRO

-Closed